Subject: Re: bug#5303: 23.1.91; Cannot load .emacs-history from savehist.el

From: Chong Yidong <[email-masked]>
Date: Thu, 21 Jan 2010 13:42:10 -0500

Eli Zaretskii <[email-masked]> writes:

>   . Why do we test for ".elc" OR non-zero return value from
>     safe_to_load_p?  What is the purpose of handling files without the
>     .elc extension as byte-compiled?

I'm no expert on this part of the code, but I think this is to allow
Emacs to load elc files even if the filename does not end with .elc.  In
other words, something roughly similar to how we now handle image files.

>   . Was safe_to_load_p intended to return non-zero value for invalid
>     file descriptors such as -2?

I think that is a bug.